%%%%% Author: Mohammadreza Soltani--***************************************
%%%%% parameter setup for DHT for synthetic experiment ********************
%%%%% Date june 2016 ******************************************************
clear;
close all
clc

% parameters
E = 1;    %Monte-Carlo Trials
n = 2^16;  % ambient diemnsions
svec = [5];% %sparsity vecptor  (it can be a vector or scalar)
mvec = [50:200:2000];%50:500:5050];  %measurements  (it can be a vector or scalar)
opts.basis = 'haar_noiselet';  %bases for constituent signal
opts.link = 'sigmoid';       %nonlinear function         [linsin, lin, sigmoid]
opts.meas = 'fourier';    % 'gauss, fourier'  measurement matrix
nvara = 0;                %Noise variance  (small number)
recopts.eta = 7;           %Step Size  
recopts.th = 0.001;           %for faster terminating
recopts.init = 'zeros';  % 'zeros', 'random'
recopts.model_Sparsity = 'arbit_saprsity';
recopts.recflag = 'totally_sparse';  %individually_sparse
recopts.it = 500;       %iteration for DHT algorithm
recopts.lambda = 1;
recopts.verbose = 1;    %Print log during the iterations , "0" turn it off

main